package com.fs.watch.service;

import com.fs.watch.domain.WatchContinuousSpo2Data;
import com.fs.watch.domain.WatchSpo2Data;
import com.fs.watch.domain.vo.WatchContinuousSpo2DataQueryVo;
import com.fs.watch.domain.vo.WatchContinuousSpo2DataVo;
import com.fs.watch.domain.vo.WatchSpo2DataQueryVo;
import com.fs.watch.domain.vo.WatchSpo2DataVo;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
* @author Administrator
* @description 针对表【watch_spo2_data(设备血氧数据)】的数据库操作Service
* @createDate 2024-10-15 11:06:51
*/
public interface WatchSpo2DataService{

    Boolean insert(WatchSpo2Data watchSpo2Data);

    List<WatchSpo2DataVo> queryByDateAndDeviceIdAndState(String date, String deviceId);

    WatchSpo2DataQueryVo querySpByDate(Date startTime, Date endTime, String deviceId);

    Integer getStatus(int maxOxy, int minOxy);

    List<Map<String,Integer>> countSpByDate(Date startTime, Date endTime, String deviceId);

    WatchContinuousSpo2Data getLatest(String deviceId);

    int countSpPageByDate(Date startTime, Date endTime, String deviceId);

    List<WatchSpo2DataVo> querySpPageByDate(Date startTime, Date endTime, String deviceId, Integer num, Integer size);
}
